=== debian/changelog ===
gprbuild (1.3.0-2) unstable; urgency=low

  * change to source format 3.0 (quilt)

  * bump debhelper version

  * debian/control (Suggests): add gnat, ada-compiler, as required by
    Debian Ada Policy

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Thu, 01 Jul 2010 20:02:22 -0400

gprbuild (1.3.0-1) unstable; urgency=low

  * update to new upstream version. (Closes: #571013)

  * debian/README.source, debian/patch/*.patch: update for upstream 1.3.0
  (Closes: #571013)

  * debian/control (Architecture): change to any. (Closes: #568437)

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Sun, 07 Mar 2010 10:10:50 -0500

gprbuild (1.2.0-4) unstable; urgency=low

  * control (Standards-Version): bump to 3.8.4
  * debian/patches: add remove_rpath.patch. (Closes: #569723)
  * debian/rules: install gprbuild_gps.xml
  * debian/aunit_example.adb: revert to aunit 1.03

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Sun, 14 Feb 2010 09:14:28 -0500

gprbuild (1.2.0-3) unstable; urgency=low

  * debian/patches/default_path.patch: new patch to use
    Sdefault.Search_Dir_Prefix for default gpr search path.
  * debian/rules: generate sdefault.adb to set default gpr search path
    according to Debian Ada Policy. (Closes: #567575)
  * debian/patches/version.patch: new patch to include Debian upload
    number in version string.

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Sun, 31 Jan 2010 05:16:51 -0500

gprbuild (1.2.0-2) unstable; urgency=low

  * share/gprconfig/*.xml: patch to call gcc-4.4, g++-4.4, gfortran-4.4
    explicitly, since they can be installed at the same time as *-4.3.
    (Closes: #565782)

  * debian/README.Debian: New file.

  * debian/README.source: document gcc version issues.

  * debian/patches/compilers.patch: update

  * debian/rules: update comments on running tests with specific versions.

  * debian/rules: specify package to dh_*, so binary-arch only builds
    gprbuild, and binary-indep only builds gprbuild-doc. (Closes:
    #565617).

  * copyright: add AdaCore for some files.

  * debian/test_installed.sh: update version

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Wed, 20 Jan 2010 05:12:29 -0500

gprbuild (1.2.0-1) unstable; urgency=low

  [Stephen Leake]
  * new source package, providing gprbuild binary and gprbuild-doc.
    Closes: 563242

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Mon, 04 Jan 2010 06:01:25 -0500

Local variables:
left-margin: 2
End:
