=== debian/control ===
Source: gprbuild
Section: devel
Priority: optional
Maintainer: Stephen Leake <stephen_leake@stephe-leake.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.9.3), gnat, gnat-4.4, libxmlada3.2-dev, quilt
Standards-Version: 3.9.0
Homepage: http://libre.adacore.com/libre/
XS-Vcs-Mtn: www.ada-france.org org.debian.gprbuild
XS-Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gprbuild

Package: gprbuild
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gnat, ada-compiler, gnat-4.4, g++-4.4, gcc-4.4, gfortran-4.4, gprbuild-doc
Description: a multi-language extensible build tool
 A set of tools for processing GNAT project files. gprbuild runs tools
 on the specified source files; gprclean removes the corresponding
 built files; gprconfig configures both tools. It is highly
 configurable; the default configuration supports compiling Ada,
 Assembler, C, C++, and Fortran sources. It can be extended to support
 user source processing tools.
 .
 This package contains the executables gprbuild, gprclean, gprconfig.

Package: gprbuild-doc
Section: doc
Architecture: all
Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Suggests: gnat, ada-compiler
Description: a multi-language extensible build tool
 A set of tools for processing GNAT project files. gprbuild runs tools
 on the specified source files; gprclean removes the corresponding
 built files; gprconfig configures both tools. It is highly
 configurable; the default configuration supports compiling Ada,
 Assembler, C, C++, and Fortran sources. It can be extended to support
 user source processing tools.
 .
 This package contains the documentation for gprbuild, gprclean,
 gprconfig, in HTML, info, and pdf formats.
