=== examples/first_steps/Makefile ===
all: default.cgpr
	gprbuild -Pc_main
	gprbuild -Pada_main

default.cgpr:
	gprconfig --batch --config Ada,,default  --config C -o $@

clean: force
	gprclean -Pc_main
	gprclean -Pada_main
	$(RM) default.cgpr

run: all
	ada_main
	obj1/c_main
force:
