=== debian/changelog ===
gprbuild (2011-4) unstable; urgency=low

  * New maintainer. Closes: #673751.
  * copyright, patches/correct_doc_license.diff, source.lintian-overrides:
    Replace obsolete license headers. Closes: #708942.
  * patches/libraries_after_link_options.diff. Closes: #705812.
    When linking libraries, put "-l" arguments after the others.
  * control: removed obsolete Suggests: ada-compiler and DM-Upload-Allowed.
  * rules: debhelper 9, hardening flags.
    Rebuild documentation from its sources, register it in doc-base.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 16 Jul 2013 12:30:21 +0200

gprbuild (2011-3) unstable; urgency=low

  [Svante Signell]
  * debian/patches/hurd-i386.patch: new, add support for hurd-i386.
    Closes: #673015.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 19 Jul 2012 21:23:10 +0200

gprbuild (2011-2) unstable; urgency=low

  * Provisionally adopt the package without closing #673751 yet; only
    because some packages build-depend on gprbuild.
  * debian/patches/gprconfig.patch (compilers.xml): make the <executable>
    match the <external> command for G++.  Closes: #679061.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 26 Jun 2012 08:15:07 +0200

gprbuild (2011-1) unstable; urgency=low

  * New upstream release (Closes: #588533).
    
  * compile with gnat-4.6.

  * make multi-arch compatible (Closes: #633981).

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Wed, 21 Sep 2011 08:29:46 -0400
