=== debian/control ===
Source: gprbuild
Section: devel
Priority: optional
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
 gnat, gnat-4.6,
 libxmlada4.1-dev
Build-Depends-Indep: texinfo (>= 5),
 texlive-latex-base
Standards-Version: 3.9.4
Homepage: http://libre.adacore.com/libre/
Vcs-Mtn: www.ada-france.org org.debian.gprbuild
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gprbuild

Package: gprbuild
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gnat, gnat-4.6, g++-4.6, gcc-4.6, gfortran-4.6, gprbuild-doc
Description: multi-language extensible build tool
 A set of tools for processing GNAT project files. gprbuild runs tools
 on the specified source files; gprclean removes the corresponding
 built files; gprconfig configures both tools. It is highly
 configurable; the default configuration supports compiling Ada,
 Assembler, C, C++, and Fortran sources. It can be extended to support
 user source processing tools.
 .
 This package contains the executables gprbuild, gprclean, gprconfig.

Package: gprbuild-doc
Section: doc
Architecture: all
Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Description: multi-language extensible build tool (documentation)
 A set of tools for processing GNAT project files. gprbuild runs tools
 on the specified source files; gprclean removes the corresponding
 built files; gprconfig configures both tools. It is highly
 configurable; the default configuration supports compiling Ada,
 Assembler, C, C++, and Fortran sources. It can be extended to support
 user source processing tools.
 .
 This package contains the documentation for gprbuild, gprclean,
 gprconfig, in HTML, info, and pdf formats.
