## gprbuild 2014

=== debian/changelog ===
gprbuild (2014-3) unstable; urgency=medium

  * Set target from DEB_HOST_GNU_TYPE, not config.sub. Closes: #760006.
    Else, the vendor part does not match "gcc -dumpmachine" at run time
    and gcc is not detected as a compiler.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 31 Aug 2014 02:00:13 +0200

gprbuild (2014-2) unstable; urgency=medium

  * Accept GCC version 4.9.x, ignoring x. See gcc-4.9-4.9.1-9 log entry.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 30 Aug 2014 14:40:44 +0200

gprbuild (2014-1) unstable; urgency=medium

  * New upstream release, built with libxmlada5-dev.
  * Only detect compilers being both the Debian default and 4.9.
    README.Debian explains deal with other situations.
  * copyright: fix a typo in documentation path.
  * control: -doc does not need install-info since policy 3.9.5.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 06 Aug 2014 01:28:59 +0200

gprbuild (2013-1) unstable; urgency=low

  * New upstream version, built with gnat-4.9. Switch to GPL-3+.
  * Use libgnatprj, libgnatvsn, autoconf, debian_packaging.mk from gnat-x.y.
  * Standards-Version: 3.9.5 (no changes).
  * Move gprbind, gprlib from usr/lib/ into usr/lib/gprbuild/.
  * Move TODO and gprbuild_gps.xml form -dev package into -doc.
  * Make tests compliant with autopkg-test.
  * Merged manual pages.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 15 May 2014 20:03:32 +0200
