=== debian/control ===
--- 
+++ 
@@ -3,19 +3,22 @@
 Priority: optional
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
- gnat, gnat-4.6,
- libxmlada4.1-dev
+ autotools-dev, autoconf,
+# Rules regenerate all the configure stuff.
+ gnat, gnat-4.9, libgnatprj4.9-dev, libgnatvsn4.9-dev,
+ libxmlada5-dev
 Build-Depends-Indep: texinfo (>= 5),
  texlive-latex-base
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://libre.adacore.com/libre/
 Vcs-Mtn: www.ada-france.org org.debian.gprbuild
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gprbuild
+XS-Testsuite: autopkgtest
 
 Package: gprbuild
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: gnat, gnat-4.6, g++-4.6, gcc-4.6, gfortran-4.6, gprbuild-doc
+Suggests: gnat, g++, gcc, gfortran, gprbuild-doc
 Description: multi-language extensible build tool
  A set of tools for processing GNAT project files. gprbuild runs tools
  on the specified source files; gprclean removes the corresponding
@@ -29,7 +32,7 @@
 Package: gprbuild-doc
 Section: doc
 Architecture: all
-Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: ${misc:Depends}
 Description: multi-language extensible build tool (documentation)
  A set of tools for processing GNAT project files. gprbuild runs tools
  on the specified source files; gprclean removes the corresponding
