## gprbuild 2014dfsg

=== examples/ada_cpp/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	$(RM) default.cgpr
 
 run: all
-	ada_main
-	cpp_main
-	main
+	./ada_main
+	./cpp_main
+	./main
 force:
