=== examples/extended_projects/Makefile ===
--- 
+++ 
@@ -9,4 +9,4 @@
 
 
 run: all
-	ada_main
+	./ada_main
