=== debian/changelog ===
gprbuild (2014dfsg-3) unstable; urgency=medium

  [ Matthias Klose ]
  * tests/control: examples depend on make. Closes: #798644.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 14 Sep 2015 14:34:15 +0200

gprbuild (2014dfsg-2) unstable; urgency=medium

  * Add gnatgcc to the knowledge base (needed when gnat not in sync with gcc).
  * Test projects from Debian Ada libraries.
  * Standards-Version: 3.9.6, no changes required.
  * (XS-)Testsuite: now generated by dpkg-source.
  * lintian-overrides: hardening-no-fortify-functions obsolete with -O2.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 07 Sep 2015 22:56:32 +0200

gprbuild (2014dfsg-1) unstable; urgency=medium

  * Repackage without GFDL documentation. Closes: #708942.
    - copyright: use Files-Excluded to remove the doc/subdir.
      Do not provide license stanza for removed doc/texiplus.tex.
    - control: not installing gprbuild_gps.xml at all fixes #768214 better
      than the Break/Replace dependencies introduced by 2014-5.
    - rules, gprbuild-doc.*, patches/*: do not build or install docs.
    - gprbuild-doc.examples: as install-indep does nothing, take examples
      from examples/* directly instead of debian/tmp/*.
    - update descriptions: control, gprbuild.1, README.source, README.Debian.
    - re-enable some source lintian checks related to GFDL.
  * gprbuild-doc.TODO: postpone unrelated changes for after the freeze.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 08 Nov 2014 12:15:55 +0100

gprbuild (2014-5) unstable; urgency=medium

  * gprbuild-doc Replaces/Breaks: gprbuild (<< 2013-1) which used to
    provide gprbuild_gps.xml. Closes: #768214.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 06 Nov 2014 21:12:43 +0100

gprbuild (2014-4) unstable; urgency=low

  [Nicolas Boulenguez <nicolas@debian.org>]
  * Link Ada with gnatgcc, in case gcc is not installed. Closes: #763879.

  [Ludovic Brenta <lbrenta@debian.org>]
  * debian/patches/763727.patch: new.  Bind the executable programs without
    exception tracebacks, to work around a compiler bug on kfreebsd-i386
    (see #666106).  Closes: #763727.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 5 Oct 2014 17:08:25 +0200
