=== debian/control ===
--- 
+++ 
@@ -9,11 +9,10 @@
  libxmlada5-dev
 Build-Depends-Indep: texinfo (>= 5),
  texlive-latex-base
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://libre.adacore.com/libre/
 Vcs-Mtn: www.ada-france.org org.debian.gprbuild
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gprbuild
-XS-Testsuite: autopkgtest
 
 Package: gprbuild
 Architecture: any
@@ -41,5 +40,10 @@
  Assembler, C, C++, and Fortran sources. It can be extended to support
  user source processing tools.
  .
- This package contains the documentation for gprbuild, gprclean,
- gprconfig, in HTML, info, and pdf formats.
+ This package contains examples and lists of known problems.
+ .
+ The complete gprbuild user guide cannot be distributed by Debian
+ because it is licensed under the GNU Free Documentation License with
+ Invariant Sections and Cover Texts. It is published by upstream
+ authors at
+ http://docs.adacore.com/gprbuild-docs/html/gprbuild_ug.html.
