=== debian/rules ===
--- 
+++ 
@@ -25,11 +25,6 @@
 .PHONY: $(POLICY_TARGETS)
 $(POLICY_TARGETS):
 	dh $@
-
-# Present in the archive, but deleted by the clean target.
-BACKUPS += doc/html doc/info doc/txt doc/pdf
-$(addsuffix .backup,$(BACKUPS)): %.backup:
-	mv $* $@
 
 # Replace with up-to-date versions from autotools-dev.
 BACKUPS += config.guess config.sub
@@ -74,8 +69,6 @@
 	$(MAKE) "GNATMAKE=gnatmake -p $(BUILDER_OPTIONS) $(foreach v,ADAFLAGS LDFLAGS,'-X$(v)=$($(v))')"
 
 override_dh_auto_build-indep:
-	$(MAKE) -C doc \
-          "GNATMAKE=gnatmake $(BUILDER_OPTIONS) -cargs $(ADAFLAGS) -largs $(LDFLAGS) -margs"
 
 override_dh_auto_clean::
 	dh_auto_clean
@@ -94,4 +87,3 @@
 	$(MAKE) install.data install.bin
 
 override_dh_auto_install-indep:
-	$(MAKE) install.alldocs
