=== debian/tests/control ===
Tests: with-aunit
Depends: gprbuild, libaunit3.7.1-dev

Tests: examples
Depends: gprbuild, gnat, gcc, g++, gfortran, make
